<template>
    <!-- 顶部超大播放图 -->
    <div id="top" >
        <video src="https://a.sinaimg.cn/mintra/pic/2112130543/weibo_login.mp4" style="width: 100%;height: 100%;object-fit: cover;" autoplay></video>
        <div style="position: absolute;top:100px;left: 40%;color: aliceblue;">XC-云社区</div>
        <!-- <img :src="topImg" alt="" /> -->
    </div>
    <!-- <div style="background-color: rgba(160, 159, 159, 0.1);"> -->
    <div class="common-layout play-list-container" id="cont" style="background-color: transparent;">
        <el-container style="background-color: white;">

            <el-aside id="left-user" >
                <!-- 菜单列表 -->
                <el-col :span="12" id="left-list" style="padding-left: 50px;">
                    <h2 class="mb-2" style="padding: 10px 10px">分类</h2>
                    <el-menu default-active="1">
                        <el-menu-item index="1" @click="toReco()">
                            <el-icon>
                                <BellFilled />
                            </el-icon>
                            <span>推荐</span>
                        </el-menu-item>
                        <el-menu-item index="2" @click="toImg()">
                            <el-icon>
                                <PictureFilled />
                            </el-icon>
                            <span>图文</span>
                        </el-menu-item>
                        <el-menu-item index="3" @click="toVideo()">
                            <el-icon>
                                <VideoCameraFilled />
                            </el-icon>
                            <span>视频</span>
                        </el-menu-item>
                        <el-menu-item index="4" @click="toFrie()">
                            <el-icon>
                                <Avatar />
                            </el-icon>
                            <span>好友</span>
                        </el-menu-item>
                    </el-menu>
                </el-col>
            </el-aside>
            <el-container style="background-color: transparent;">
                <!-- 发布动态 -->
                <el-header id="publish-post">
                    <h2>
                        <el-icon style="padding-right: 10px">
                            <Promotion />
                        </el-icon>动态
                    </h2>
                    <div>
                        <el-button round text @click="centerDialogfus()">
                            <el-icon>
                                <Edit />
                            </el-icon>发布图文
                        </el-button>
                        <!-- 发表图文 -->
                        <el-dialog v-model="centerDialogVisible" title="发布图文动态" width="30%" center class="relPost">
                            <!-- 发布图文表单 -->
                            <el-form :model="numberValidateForm" ref="numberValidateForm" class="demo-ruleForm">
                                <el-form-item prop="content">
                                    <el-input type="textarea" id="conttd" :autosize="{ minRows: 5, maxRows: 15 }" placeholder="请输入发表内容"
                                        v-model="myPost.content" autocomplete="off"></el-input>
                                        <div v-show="isupcont" style="color: red;">请输入内容</div>
                                </el-form-item>
                                
                                <el-form-item>
                                    <el-select v-model="myPost.topic" placeholder="#你可以选择话题">
                                        <el-option v-for="(item, index) in rightList" :key="index" :label="`#${item}`"
                                            :value="index">
                                        </el-option>
                                    </el-select>
                                </el-form-item>
                                <!-- 上传图片 -->

                            </el-form>
                            <template #footer>
                                <span class="dialog-footer">
                                    <form :action="formUrl" target="nm_iframe" id="myfrom" method="post"
                                        enctype="multipart/form-data" style="display: flex;flex-direction: column;">
                                        <input type="file" name="file" id="myfile">
                                        <div style="padding-top: 10px;">
                                            <el-button @click="centerDialogVisible = false">取消</el-button>
                                            <button type="submit" @click="relPost" class="fb">发布</button>
                                        </div>
                                    </form>
                                    <iframe id="id_iframe" name="nm_iframe" style="display:none;"></iframe>
                                </span>
                            </template>
                        </el-dialog>
                        <!-- 发布视频 -->
                        <!-- <el-button type="info" round>
                            <el-icon>
                                <VideoCameraFilled />
                            </el-icon>发布视频</el-button> -->
                    </div>
                </el-header>
                <!-- 动态列表 -->
                <el-main id="publish-list">
                    <PostList></PostList>
                    <div class="posts">
                        <!-- 单个列表 -->
                        <div class="post" v-for="(post, index) in viewList" :key="index" @click="postMes(post)">
                            <!-- 头部信息 -->
                            <div class="post-head">
                                <el-avatar :size="50" :src="'http://localhost:8888'+post.uimg" />
                                <div class="userinfo">
                                    <p>{{ post.username }}</p>
                                    <p>{{ new Date(post.creatTime).toLocaleString() }}</p>
                                </div>
                            </div>
                            <div class="post-cont">
                                <div>
                                    {{ post.content }}
                                </div>
                                <span>#{{ rightList[post.topicid] }}</span>
                                <!-- 推歌 -->
                                <!-- <el-row v-if="post.haveMusic" >
                                    <el-col :span="16" class="music-mes" >
                                        <span class="mic-aver" :style="`background-image: url(${post.userList.userSrc});`">
                                            <el-icon><CaretLeft /></el-icon>
                                        </span>
                                    <div class="Music-info">
                                    <p>{{ post.MusicList.mName }}</p>
                                    <p><span v-for="(msing ,index) in post.MusicList.mSing" :key="index">
                                        {{ msing }}
                                    </span>
                                    </p>
                                </div>
                            </el-col>
                                </el-row> -->

                                <!-- 图片显示 -->
                                <div>
                                    <el-row>
                                        <el-col :span="16">
                                            <el-row v-if="post.type == 'img'">
                                                <el-col :span="8" v-for="(imgs, index) in this.urlList[index]" :key="index">
                                                    <img :src="'http://localhost:8888'+imgs" alt="" />
                                                </el-col>
                                            </el-row>
                                            <el-row v-if="post.type == 'video'">
                                                <!-- v-for="(video1, index) in this.urlList[index]"
                                                    :key="index" -->

                                                <el-col :span="12" id="videoo">
                                                    <video autoplay width="200" height="120"
                                                        src="http://vodkgeyttp8.vod.126.net/cloudmusic/b549/core/ad55/54d96cea3ae893c714055591cbbaf812.mp4?wsSecret=bd47bb12d1cc5866047d84d0ce5dc06e&wsTime=1679830180"
                                                        controls>
                                                        <!-- <source src="http://vodkgeyttp8.vod.126.net/cloudmusic/b549/core/ad55/54d96cea3ae893c714055591cbbaf812.mp4?wsSecret=bd47bb12d1cc5866047d84d0ce5dc06e&wsTime=1679830180" type="video/mp4"> -->
                                                        您的浏览器不支持 video 标签。
                                                    </video>
                                                    <!-- <iframe src="//player.bilibili.com/player.html?aid=482617016&bvid=BV12T411e7Yo&cid=1028262266&page=1" scrolling="no" border="0" frameborder="no" framespacing="0" allowfullscreen="true"> </iframe> -->
                                                </el-col>
                                            </el-row>
                                        </el-col>
                                    </el-row>
                                </div>
                            </div>
                            <!-- 帖子底部功能 -->
                            <div class="post-foot">
                                <div>
                                    <el-icon v-if="!userList.isLike" @click="UpLike(index)">
                                        <Star />
                                    </el-icon>
                                    <el-icon v-else @click="UpLike(index)">
                                        <StarFilled />
                                    </el-icon>点赞 {{ post.like }}
                                </div>
                                <div>
                                    <el-icon>
                                        <ChatDotSquare />
                                    </el-icon>评论 {{ post.collect }}
                                </div>
                                <div>
                                    <!-- 判断图标 -->
                                    <el-icon v-if="!userList.isCollect" @click="UpCollect(index)">
                                        <Star />
                                    </el-icon>
                                    <el-icon v-else @click="UpCollect(index)">
                                        <StarFilled />
                                    </el-icon>
                                    收藏 {{ post.comment }}
                                </div>
                            </div>
                        </div>
                    </div>
                </el-main>
            </el-container>
            <el-aside width="200px" id="right-user">
                <!-- 菜单列表 -->
                <el-col :span="12">
                    <h3 class="mb-2" style="padding: 10px 5px">#热门话题</h3>
                    <el-menu class="el-menu-vertical-demo" id="rightlist">
                        <el-menu-item :index="index" v-for="(right, index) in rightList" :key="index">
                            <span>{{ index+1 }}</span>
                            <p>{{ right }}</p>
                        </el-menu-item>
                    </el-menu>
                </el-col>
            </el-aside>
        </el-container>
    </div>
    <!-- </div> -->
</template>

<script>
// import PostList from '@/components/base/PostList'
import { HttpManager } from "@/api";
import "@/assets/icons/index.js";
import { ElMessageBox } from "element-plus";
import {
    ChatDotSquare,
    Avatar,
    Star,
    Edit,
    VideoCameraFilled,
    PictureFilled,
    BellFilled,
} from "@element-plus/icons-vue";
import {
    StarFilled,
    Menu,
    Promotion,
    CaretLeft,
    Plus,
} from "@element-plus/icons-vue";
import axios from "axios";
import { getCurrentInstance } from "vue"
export default {
    data() {
        return {
            formUrl: "http://localhost:8888/file/add?",
            // 用户信息
            user: getCurrentInstance().proxy.$store.state.user,
            // 上传帖子信息
            myPost: {
                uid: getCurrentInstance().proxy.$store.state.user.userId,
                avter: getCurrentInstance().proxy.$store.state.user.userPic,
                uname: getCurrentInstance().proxy.$store.state.user.username,
                content: '',
                topic: '',
                postype: '',
            },
            // 判断提示
            isPro: false,
            // rule:[{ required: true, message: '内容不能为空' }],
            // 发表图文表单
            numberValidateForm: {
                content: "",
            },
            // 空值提示框
            isupcont : false,
            dialogImageUrl: "",
            dialogVisible: false,
            // 上传文件
            fileList: [
                // {
                //     name:null,
                //     url:null
                // }
            ],
            // 是否上传文件
            flag: false,

            // 图文弹窗机关
            centerDialogVisible: false,
            topImg:
                "https://ts1.cn.mm.bing.net/th/id/R-C.74ad086892eeda549cb3946e681f2d9b?rik=D4wiqL4a5XQscA&riu=http%3a%2f%2fi0.hdslb.com%2fbfs%2farticle%2fa22a162bca94cdf7438ea556dfa021b181bf3873.jpg&ehk=hs8df19fFE7Vy8LX3nQoJ%2fSBt1ePFXZeKfdX4Lev0d4%3d&risl=&pid=ImgRaw&r=0",
            // 话题列表
            rightList: [
                "周杰伦",
                "铃芽户缔",
                "周深",
                "春天的第一条动态",
                "乌梅子酱",
                "春天的第一张照片",
                "can i be your dog",
                "孔乙己文学",
                "你别太荒谬",
                "到此为止再爱就不礼貌了",
                "crush",
                "摆烂式社交",
                "我没惹你们任何人",
            ],
            // 用户列表
            userList: [],
            // 总帖子列表
            postList: [
                // "id":1,
                // "uid":20,
                // "uimg":"/dynamic/all",
                // "creatTime":1679810056000,
                // "content":"test",
                // "type":"img",
                // "like":2,
                // "collect":2,
                // "comment":2,
                // "topicid":1,
                // "contentUrl":"https://t7.baidu.com/it/u=1819248061,230866778&fm=193&f=GIF!!https://t7.baidu.com/it/u=4240641596,3235181048&fm=193&f=GIF"
                // {
                //     postId: '0',
                //     postTopic: ['铃芽户缔', '春天的第一条动态'],
                //     haveMusic:true,
                //     // MusicList:{
                //     //     mName:"すずめ feat.十明",
                //     //     mSing:['RADWIMPS','十明']
                //     // },
                //     isLike: false,
                //     isCollect: false,
                //     postType:'Img',
                //     postTime: '3月24日 14::33',
                //     userList:{
                //         userSrc: 'https://upload-bbs.mihoyo.com/upload/2022/07/15/188998358/b2f2d736e03d296e1e6810932e0a3fda_5368977510069646561.jpg',
                //         userName: "测试用户1",
                //     },
                //     texeCont: "哈哈哈哈哈哈或或或或或或或或或或或或",
                //     postimg: [
                //         'https://ts1.cn.mm.bing.net/th/id/R-C.70478cce40d92713d48dc33eaaee8d36?rik=FCIyNmw%2fUEkT7g&riu=http%3a%2f%2fimgs.jushuo.com%2falbum%2f2022-09-29%2f16644329885950259&ehk=EZghFfko3ubQXUcVNZCtpQ8QAqZmVPxFiwAE6mbrI6g%3d&risl=&pid=ImgRaw&r=0',
                //         'https://img.3dmgame.com/uploads/images/news/20221026/1666746327_706574.png',
                //         'https://ts1.cn.mm.bing.net/th/id/R-C.c5d1aa324c4c1f4056859171e92874a2?rik=2XWIq%2bqJtUtA5A&riu=http%3a%2f%2fwww.cmodel.com%2fuploadfile%2f2022%2f0715%2f20220715022824471.png&ehk=sZ5aRCZC8cu0kHRC6GlHtnmPXsLjIPqTSfNn5CpdMAI%3d&risl=&pid=ImgRaw&r=0'
                //     ],
                //     postVideo: ['']
                // },
                // {
                //     postId: '1',
                //     haveMusic:false,
                //     postType:'Img',
                //     postTopic: ['铃芽户缔', '春天的第一条动态'], isPraise: true,
                //     isCollect: true,
                //     isLike: false,
                //     postTime: '3月24日 14::33',
                //     userList:{
                //         userSrc: 'https://upload-bbs.mihoyo.com/upload/2022/07/15/188998358/b2f2d736e03d296e1e6810932e0a3fda_5368977510069646561.jpg',
                //         userName: "测试用户2",
                //     },
                //     texeCont: "呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃",
                //     postimg: [
                //         'https://ts1.cn.mm.bing.net/th/id/R-C.70478cce40d92713d48dc33eaaee8d36?rik=FCIyNmw%2fUEkT7g&riu=http%3a%2f%2fimgs.jushuo.com%2falbum%2f2022-09-29%2f16644329885950259&ehk=EZghFfko3ubQXUcVNZCtpQ8QAqZmVPxFiwAE6mbrI6g%3d&risl=&pid=ImgRaw&r=0',
                //         'https://img.3dmgame.com/uploads/images/news/20221026/1666746327_706574.png',
                //         'https://ts1.cn.mm.bing.net/th/id/R-C.c5d1aa324c4c1f4056859171e92874a2?rik=2XWIq%2bqJtUtA5A&riu=http%3a%2f%2fwww.cmodel.com%2fuploadfile%2f2022%2f0715%2f20220715022824471.png&ehk=sZ5aRCZC8cu0kHRC6GlHtnmPXsLjIPqTSfNn5CpdMAI%3d&risl=&pid=ImgRaw&r=0',
                //         'https://ts1.cn.mm.bing.net/th/id/R-C.70478cce40d92713d48dc33eaaee8d36?rik=FCIyNmw%2fUEkT7g&riu=http%3a%2f%2fimgs.jushuo.com%2falbum%2f2022-09-29%2f16644329885950259&ehk=EZghFfko3ubQXUcVNZCtpQ8QAqZmVPxFiwAE6mbrI6g%3d&risl=&pid=ImgRaw&r=0',
                //         'https://img.3dmgame.com/uploads/images/news/20221026/1666746327_706574.png',
                //         'https://ts1.cn.mm.bing.net/th/id/R-C.c5d1aa324c4c1f4056859171e92874a2?rik=2XWIq%2bqJtUtA5A&riu=http%3a%2f%2fwww.cmodel.com%2fuploadfile%2f2022%2f0715%2f20220715022824471.png&ehk=sZ5aRCZC8cu0kHRC6GlHtnmPXsLjIPqTSfNn5CpdMAI%3d&risl=&pid=ImgRaw&r=0'
                //     ],
                //     postVideo: ['']
                // },
                // {
                //     postId: '2',
                //     haveMusic:false,
                //     postType:'Img',
                //     postTopic: ['铃芽户缔', '春天的第一条动态'], isPraise: true,
                //     isCollect: true,
                //     isLike: false,
                //     postTime: '3月24日 14::33',
                //     userList:{
                //         userSrc: 'https://upload-bbs.mihoyo.com/upload/2022/07/15/188998358/b2f2d736e03d296e1e6810932e0a3fda_5368977510069646561.jpg',
                //         userName: "测试用户3",
                //     },
                //     texeCont: "呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃",
                //     postimg: [
                //         'https://ts1.cn.mm.bing.net/th/id/R-C.70478cce40d92713d48dc33eaaee8d36?rik=FCIyNmw%2fUEkT7g&riu=http%3a%2f%2fimgs.jushuo.com%2falbum%2f2022-09-29%2f16644329885950259&ehk=EZghFfko3ubQXUcVNZCtpQ8QAqZmVPxFiwAE6mbrI6g%3d&risl=&pid=ImgRaw&r=0',
                //         'https://img.3dmgame.com/uploads/images/news/20221026/1666746327_706574.png',
                //         'https://ts1.cn.mm.bing.net/th/id/R-C.c5d1aa324c4c1f4056859171e92874a2?rik=2XWIq%2bqJtUtA5A&riu=http%3a%2f%2fwww.cmodel.com%2fuploadfile%2f2022%2f0715%2f20220715022824471.png&ehk=sZ5aRCZC8cu0kHRC6GlHtnmPXsLjIPqTSfNn5CpdMAI%3d&risl=&pid=ImgRaw&r=0'
                //     ],
                //     postVideo: ['']
                // },
                // {
                //     postId: '2',
                //     haveMusic:false,
                //     postType:'video',
                //     postTopic: ['铃芽户缔', '春天的第一条动态'], isPraise: true,
                //     isCollect: true,
                //     isLike: false,
                //     postTime: '3月24日 14::33',
                //     userList:{
                //         userSrc: 'https://upload-bbs.mihoyo.com/upload/2022/07/15/188998358/b2f2d736e03d296e1e6810932e0a3fda_5368977510069646561.jpg',
                //         userName: "测试用户4",
                //     },
                //     texeCont: "呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃呃",
                //     postimg: [],
                //     postVideo: ['//player.bilibili.com/player.html?aid=950612901&bvid=BV19s4y1V754&cid=1039344676&page=1']
                // },
            ],
            // 图片路径列表
            urlList: [],
            // 显示帖子列表
            viewList: [],
            // 好友帖子列表
            firenList: [],
            // 图文帖子列表
            imgList: [],
            // 视频帖子列表
            videoList: [],
            // 详情列表
            postMess: [''],
        };
    },
    created() {
        console.log(getCurrentInstance().proxy.$store.state.user);
        // 获取帖子列表
        axios({
            method: "GET",
            url: "http://localhost:8888/dynamic/all",
        }).then((res) => {
            this.postList = res.data;
            // 过滤地址
            for (let i = 0; i < this.postList.length; i++) {
                console.log(res.data[i].contentUrl.split("!!"));
                this.urlList.push(res.data[i].contentUrl.split("!!"));
                // 过滤视频和图文
                if (res.data[i].type == "img") {
                    this.imgList.push(res.data[i]);
                }
                if (res.data[i].type == "video") {
                    this.videoList.push(res.data[i]);
                }
            }
            this.viewList = this.postList;
        });
    },
    components: {
        Plus,
        ElMessageBox,
        CaretLeft,
        Promotion,
        Menu,
        StarFilled,
        ChatDotSquare,
        BellFilled,
        PictureFilled,
        Avatar,
        Star,
        VideoCameraFilled,
        Edit,
    },
    methods: {
        // 改变发布图文机关
        centerDialogfus() {
            this.centerDialogVisible = true;
        },
        // 收藏和点赞
        UpCollect(id) {
            this.userList.isCollect = !this.userList.isCollect;
        },
        UpLike(id) {
            this.userList.isLike = !this.userList.isLike;
        },
        // 发布帖子
        relPost(event) {
            var filename = document.getElementById("myfile").value.split(".")[1];
            console.log('1'+this.myPost.content.trim()+'1');
            if (this.myPost.content.trim() != '' && this.myPost.content != null) {
                // document.getElementById('conttd').className = 'one1'
                // 判断发送类型
                if (filename == "mp4") {
                    this.formUrl += 'id=' + this.myPost.uid + '&uimg=' + this.myPost.avter + '&content=' + this.myPost.content + '&topicid=' + this.myPost.topic + '&type=video';
                } else {
                    this.formUrl += 'id=' + this.myPost.uid + '&uimg=' + this.myPost.avter + '&content=' + this.myPost.content + '&topicid=' + this.myPost.topic + '&type=img';
                }
                
                setTimeout(function () {
                    this.centerDialogVisible = false;
                    location.reload();
                    document.getElementById("myfrom").reset()
                }, 2000);
                ElNotification({
                    title: 'Title',
                })
            } else {
                this.centerDialogVisible = false;
                event.preventDefault();
            }
        },
        // 切回推荐
        toReco() {
            this.viewList = this.postList;
        },
        // 切图文
        toImg() {
            this.viewList = this.imgList;
        },
        // 切视频
        toVideo() {
            this.viewList = this.videoList;
        },
        // 帖子详情
        // postMes(post){
        //     this.postMess.push(post)
        //     this.viewList = this.postMess
        // }
    },
};
</script>
<style scoped>
.el-main{
     --el-main-padding: 0;
     
}</style>
<style lang="less">
.el-main{
     --el-main-padding: 0;
}
.fb {
    display: inline-block;
    height: 32px;
    width: 56px;
    border: 1px solid rgba(160, 159, 159, 0.625);
    color: #5c5b5b;
    border-radius: 4.5px;
    background-color: white;
}
.fb:hover{
    cursor:pointer;
    color:#409eff;
    background-color:#ecf5ff ;
    border: 1px solid #d9ecff;
}
.one1 {
    border: none;
}
.two1{
    border: 1px red solid;
}
// 顶部大图
#top {
    width: 100%;
    height: 200px;
    font-size: 50px;
    font-weight: bolder;
    // display: flex;
    // justify-content: center;
    // align-items: center;
    // background-size: 100% auto;
    // background-position: center;
    // background-image: url('https://ts1.cn.mm.bing.net/th/id/R-C.74ad086892eeda549cb3946e681f2d9b?rik=D4wiqL4a5XQscA&riu=http%3a%2f%2fi0.hdslb.com%2fbfs%2farticle%2fa22a162bca94cdf7438ea556dfa021b181bf3873.jpg&ehk=hs8df19fFE7Vy8LX3nQoJ%2fSBt1ePFXZeKfdX4Lev0d4%3d&risl=&pid=ImgRaw&r=0');
    // img {
    //     width: 100%;
    //     height: 200px;
    //     object-fit: cover;
    // }
}
#cont{
    border-top: 1px rgb(54, 158, 149) solid;
    margin-top: 30px;
}


.el-menu {
    background-color: transparent;

}

// 左列表
#left-user {
    background-color: transparent;
    height: 800px;
    width: 240px;
    overflow: hidden;
    text-align: center;

    .el-menu-item {
        float: left;
        height: 80px;
        overflow: hidden;
        width: 200px;
        font-size: 20px;
        font-weight: 600;
    }
}

// 右列表
#right-user {
    overflow: hidden;

    #rightlist {
        .el-menu-item {
            height: 40px;
            width: 200px;
            text-align: center;
            font-size: 18px;
            font-weight: 300;
        }

        .el-menu-item:hover {
            color: #999999;
        }

        span {
            color: black;
            font-size: 18px;
            font-weight: 600;
            padding-right: 10px;
        }
    }
}

// 发布动态部分
#publish-post {
    padding-bottom: 0;
    margin: 0 20px;
    // background-color: bisque;
    height: 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 2px rgb(0, 149, 255) solid;

    .relPost {
        padding: 10px 10px;

        .demo-ruleForm {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: left;
            // .upload-demo{
            //     display: block;
            // }
        }
    }
}

.dialog-footer button:first-child {
    margin-right: 10px;
}

//  帖子列表
#publish-list {
    // background-color: #e3e3e3;
    padding-left: 30px;

    .post>div {
        padding: 10px;
    }

    .post:hover {
        background-color: #ececec;
    }

    .post {
        border-bottom: 1px #999999 solid;
        margin-top: 10px;
        padding: 5px 0;

        // 帖子用户信息
        .post-head {
            display: flex;
            justify-items: center;
            align-items: center;

            .userinfo {
                margin-top: 10px;
                padding-left: 10px;

                p:first-child {
                    padding-bottom: 5px;
                    font-size: 17px;
                    color: black;
                }

                p:last-child {
                    font-size: 14px;
                    color: #999999;
                }
            }
        }

        // 帖子内容
        .post-cont {
            #videoo>video {
                width: 100%;
            }

            ;

            span {
                padding: 10px 5px;
                color: rgb(34, 115, 255);
            }

            span:hover {
                color: #999999;
            }

            .el-row {
                padding: 5px 0;
            }

            .el-col {
                padding-right: 5px;
            }

            img {
                width: 100%;
                height: 120px;
                border-radius: 10px;
            }

            .music-mes {
                height: 80px;
                padding: 10px 10px;
                background-color: #fbfde2;
                display: flex;
                align-items: center;

                .mic-aver {
                    padding: 0 0;
                    width: 60px;
                    height: 60px;
                    margin: 0px;
                    background-size: cover;

                    .el-icon {
                        padding: 10px;
                    }
                }

                .Music-info {
                    padding-left: 10px;
                }
            }
        }

        // 帖子底部
        .post-foot {
            padding-bottom: 20px;
            height: 20px;
            display: flex;
        }

        .post-foot>div {
            display: flex;
            justify-content: center;
            align-items: center;

            .el-icon {
                padding-right: 8px;
                padding-left: 10px;
            }
        }

    }
}</style>